<template>
  <div class="checkbox-container">
    <check-icon name="checkbox" />
    <span class="label">{{ checkboxText }}</span>
  </div>
</template>

<script>
import CheckIcon from '@/components/icons/CheckIcon'

export default {
  components: { CheckIcon },
  props: {
    checkboxText: {
      type: String,
      default: 'Я согласен получать обновления на почту'
    }
  }
}
</script>

<style lang="scss" scoped>
.checkbox-container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 0 10px;

  .label {
    font-family: Montserrat;
    font-size: 11px;
    font-weight: 300;
    color: #301411;
  }
}
</style>
